/***********************************************************************/
/*                                                                     */
/*                       C_data_user_long_double.h                     */
/*                                                                     */
/*  simple definition of a type corresponding to a standard C type     */
/*                                                                     */
/*  authors: D. Gaffe and A. Ressouche                                 */
/*                                                                     */
/*  version: 15/05/2022                                                */
/***********************************************************************/

#ifndef C_DATA_USER_LONG_DOUBLE_H
#define C_DATA_USER_LONG_DOUBLE_H

typedef long double long_double;

extern const long_double zero_long_double;
extern long_double copy_long_double(long_double);
extern long_double add_long_double(long_double,long_double);
extern long_double sub_long_double(long_double,long_double);
extern long_double neg_long_double(long double);
extern long_double mult_long_double(long_double,long_double);
extern long_double div_long_double(long_double,long_double);
extern int eq_long_double(long_double,long_double);
extern int neq_long_double(long_double,long_double);
extern int less_long_double(long_double,long_double);
extern int lesseq_long_double(long_double,long_double);
extern int sup_long_double(long_double,long_double);
extern int supeq_long_double(long_double,long_double);
#endif
